Create a new LocationAsk AIpost https://api.servicem8.com/api_1.0/location.jsonOAuth Scope This endpoint requires the following OAuth scope manage_locations. Record UUID UUID is optional for record creation. If no UUID is supplied, a UUID will be automatically generated for the new record and returned in the x-record-uuid response header.Body ParamsLocation record to createnamestringrequiredlength ≤ 50Location's nameline1stringlength ≤ 100First line of the location's address. Contains the street number and street name.line2stringlength ≤ 100Second line of the location's address. Used for additional address information such as building/suite numbers or street details.line3stringlength ≤ 100Third line of the location's address. Used for additional address details when line1 and line2 are not sufficient.citystringlength ≤ 50Email Addresscountrystringlength ≤ 100Email Addresspost_codestringlength ≤ 100Email Addressphone_1stringlength ≤ 100Primary contact phone number for the location. Can include formatting characters.statestringlength ≤ 400Address StatelngfloatLongitude coordinate of the location in decimal degrees format. Used for geolocation and distance calculations. Expected range is between -180 and 180 degrees.latfloatLatitude coordinate of the location in decimal degrees format. Used for geolocation and distance calculations. Expected range is between -90 and 90 degrees.uuiduuidUnique identifier for this recordResponses 200Success 400Bad Request - The request is malformed or contains invalid parameters 401Unauthorized - Authentication credentials are missing or invalid 403Forbidden - You don't have permission to create this resource 429Too Many Requests - You have exceeded the rate limit 500Internal Server Error - An unexpected error occurred on the serverUpdated 9 months ago